%global momorel 2

%global xfce4ver 4.6.0
%global thunarver 1.0.0

Name:		xfce4-places-plugin
Version:	1.1.0
Release:	%{momorel}m%{?dist}
Summary:	Places menu for the Xfce panel

Group:		User Interface/Desktops
License:	GPL
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
NoSource: 	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= %{xfce4ver}
BuildRequires:	libxfcegui4-devel >= %{xfce4ver}
BuildRequires:	Thunar-devel >= %{thunarver}
BuildRequires:	libxml2-devel, gettext, perl-XML-Parser
Requires:	xfce4-panel >= %{xfce4ver}
Requires:	Thunar >= %{thunarver}

%description
A menu with quick access to folders, documents, and removable media. The 
Places plugin brings much of the functionality of GNOME's Places menu to 
Xfce. It puts a simple button on the panel. Clicking on this button opens up 
a menu with 4 sections:
1) System-defined directories (home folder, trash, desktop, file system)
2) Removable media (using thunar-vfs)
3) User-defined bookmarks (reads ~/.gtk-bookmarks)
4) Recent documents submenu (requires GTK v2.10 or greater) 

%prep
%setup -q

%build
autoreconf -ivf
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/xfce4-popup-places
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop

%changelog
* Sat May  2 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.1.0-1m)
- add autoreconf
-- need libtool-2.2.x

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-1m)
- update and fix %%files
- rebuild against xfce4-4.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-1m)
- import to Momonga from fedora

* Wed Nov 07 2007 Christoph Wickert <fedora christoph-wickert de> - 0.0.10-1
- Update to 0.0.10

* Sat Aug 25 2007 Christoph Wickert <fedora christoph-wickert de> - 0.9.992-1
- Update to 0.9.992

* Sat Aug 25 2007 Christoph Wickert <fedora christoph-wickert de> - 0.9.991-1
- Update to 0.9.991
- Update license tag

* Thu May 17 2007 Christoph Wickert <fedora christoph-wickert de> - 0.3.0-1
- Update to 0.3.0

* Sun Apr 29 2007 Christoph Wickert <fedora christoph-wickert de> - 0.2.0-1
- Update to 0.2.0

* Sun Apr 08 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.0-1
- Initial package.
